MFQuote (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Class MFQuote

- java.lang.Object
- - com.marketfactory.zerogc.api.MFQuote

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<MFQuote>

      public final class MFQuote
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<MFQuote>, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `MFString` | `detail`
    `MFFloat` | `price` A currency price, in MFFloat format.
    `MFString` | `quoteID`
    `Side` | `side`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `MFQuote()`
    `` | `MFQuote(MFString quoteID, MFFloat price, MFFloat amount, Side side, MFString detail)`
    `protected` | `MFQuote(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MFQuote rhs)`
    `void` | `deepCopy(MFQuote src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### quoteID

          public MFString quoteID

    - #### price

          public MFFloat price

      A currency price, in MFFloat format.

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### side

          public Side side

    - #### detail

          public MFString detail

  - ### Constructor Detail

    - #### MFQuote

          public MFQuote()

    - #### MFQuote

          protected MFQuote(ZeroGCProtoByteBuffer buffer)

    - #### MFQuote

          public MFQuote(MFString quoteID,
                         MFFloat price,
                         MFFloat amount,
                         Side side,
                         MFString detail)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(MFQuote src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(MFQuote rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MFQuote>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)